# PATH
for P in \
	"$HOME/bin" \
	"$HOME/.local/bin"
do
	if [[ -d "${P}" ]]; then
		export PATH="${P}:${PATH}"
	fi
done

# Отключаем некоторые плагины, если запуск в качестве подоболочки mc
# Bug: https://midnight-commander.org/ticket/4253
#if ps $PPID | grep mc; then
#	export ZSH_MC_WORKAROUND=1
#fi

# Удалить дубликаты в PATH
typeset -U PATH

export GNUPGHOME="$XDG_CONFIG_HOME/gnupg"
export SVDIR="$HOME/sv"

# ASKPASS
if [ ! -z ${DISPLAY+x} ]; then
	if command -v /usr/lib/openssh/gnome-ssh-askpass 2>&1 >/dev/null; then
		export SSH_ASKPASS=/usr/lib/openssh/gnome-ssh-askpass
	elif command -v /usr/bin/lxqt-openssh-askpass 2>&1 >/dev/null; then
		export SSH_ASKPASS=/usr/bin/lxqt-openssh-askpass
	elif command -v /usr/bin/ssh-askpass 2>&1 >/dev/null; then
		export SSH_ASKPASS=/usr/bin/ssh-askpass
	fi
fi

# Настройка uncrustify
UNCRUSTIFY_CONFIG="${XDG_CONFIG_HOME}/uncrustify/default.cfg"
[ -e "${UNCRUSTIFY_CONFIG}" ] && export UNCRUSTIFY_CONFIG

# Настройка Intel Studio
if [ ! -z ${ENABLE_INTEL_STUDIO+x} ]; then
	#export COMPILERVARS_ARCHITECTURE=intel64
	#export COMPILERVARS_PLATFORM=linux
	#/opt/intel/bin/iccvars.sh
	INTEL_VARS=( /opt/intel/advisor/advixe-vars.sh
	             /opt/intel/inspector/inspxe-vars.sh
	             /opt/intel/vtune_profiler/vtune-vars.sh )

	for f in ${INTEL_VARS[*]}; do
		[ -e "$f" ] && source "$f" > /dev/null
	done
fi

